Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1025831 - PRD35 - [RFE] add administrator password and OrgName properties to Initial Run of Run Once of VMs of Windows OS type
Summary: PRD35 - [RFE] add administrator password and OrgName properties to Initial Ru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Nikolai Sednev
URL:
Whiteboard: virt
Depends On: 1083129
Blocks: 1120921 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-11-01 17:23 UTC by David Jaša
Modified: 2015-02-15 16:15 UTC (History)
12 users (show)

Fixed In Version: vt3
Doc Type: Enhancement
Doc Text:
With this update, you can configure the administrator password and organization name in the Initial Run tab of the Run Once menu.
Clone Of:
: 1083129 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:55:50 UTC
oVirt Team: ---
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 27642 None None None Never

Description David Jaša 2013-11-01 17:23:59 UTC
Description of problem:
sysprep file templates contain $AdminPassword$ and $OrgName$ variables that could but can not be set in the UI. $AdminPassword$ would be especially useful for Windows Server (at least 2008 R2) VMs that don't finish the boot after sysprep without Administrator passwor (and language settings and eula confirmation).

Version-Release number of selected component (if applicable):
3.3 (is20.2)

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Shahar Havivi 2014-05-12 08:44:10 UTC
We set this values today via the config tool.
We will add the UI options which will have priority over the config values.

Comment 2 Nikolai Sednev 2014-09-03 16:49:14 UTC
Works for me on these components:
vdsm-4.16.2-1.gite8cba75.el7.x86_64
sanlock-3.1.0-2.el7.x86_64
qemu-kvm-rhev-1.5.3-60.el7_0.2.x86_64
ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14.x86_64
libvirt-0.10.2-29.el6_5.11.x86_64
vdsm-4.16.2-1.gite8cba75.el6.x86_64
sanlock-2.8-1.el6.x86_64

Comment 3 Eyal Edri 2014-09-10 20:22:01 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 4 Nikolai Sednev 2014-09-11 10:40:11 UTC
Works for me, tested on these components:
VM2XPSP2-guest-OS
rhevm-3.5.0-0.11.beta.el6ev.noarch
libvirt-0.10.2-29.el6_5.12.x86_64
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14.x86_64
vdsm-4.16.3-3.el6ev.beta.x86_64
sanlock-2.8-1.el6.x86_64

Hosts within the setup ran on Linux version 2.6.32-431.el6.x86_64 (mockbuild@x86-023.build.eng.bos.redhat.com) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-4) (GCC) ) #1 SMP Sun Nov 10 22:19:54 EST 2013

Comment 8 errata-xmlrpc 2015-02-11 17:55:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.